org.apache.flume.source.twitter

## Class TwitterSource

- java.lang.Object
- - org.apache.flume.source.AbstractSource
  - - org.apache.flume.source.twitter.TwitterSource

- All Implemented Interfaces:
    Configurable, EventDrivenSource, LifecycleAware, NamedComponent, Source, twitter4j.StatusListener

      @InterfaceAudience.Private
      @InterfaceStability.Unstable
      public class TwitterSource
      extends AbstractSource
      implements EventDrivenSource, Configurable, twitter4j.StatusListener

  Demo Flume source that connects via Streaming API to the 1% sample twitter firehose, continuously downloads tweets, converts them to Avro format and sends Avro events to a downstream Flume sink. Requires the consumer and access tokens and secrets of a Twitter developer account

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwitterSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `void` | `onDeletionNotice(twitter4j.StatusDeletionNotice statusDeletionNotice)`
    `void` | `onException(Exception e)`
    `void` | `onScrubGeo(long userId, long upToStatusId)`
    `void` | `onStallWarning(twitter4j.StallWarning warning)`
    `void` | `onStatus(twitter4j.Status status)`
    `void` | `onTrackLimitationNotice(int numberOfLimitedStatuses)`
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.

    - ### Methods inherited from class org.apache.flume.source.AbstractSource

      `getChannelProcessor, getLifecycleState, getName, setChannelProcessor, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.Source

      `getChannelProcessor, setChannelProcessor`

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Constructor Detail

    - #### TwitterSource

          public TwitterSource()

  - ### Method Detail

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`
      Overrides:
        `start` in class `AbstractSource`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`
      Overrides:
        `stop` in class `AbstractSource`

    - #### onStatus

          public void onStatus(twitter4j.Status status)

      Specified by:
        `onStatus` in interface `twitter4j.StatusListener`

    - #### onDeletionNotice

          public void onDeletionNotice(twitter4j.StatusDeletionNotice statusDeletionNotice)

      Specified by:
        `onDeletionNotice` in interface `twitter4j.StatusListener`

    - #### onScrubGeo

          public void onScrubGeo(long userId,
                        long upToStatusId)

      Specified by:
        `onScrubGeo` in interface `twitter4j.StatusListener`

    - #### onStallWarning

          public void onStallWarning(twitter4j.StallWarning warning)

      Specified by:
        `onStallWarning` in interface `twitter4j.StatusListener`

    - #### onTrackLimitationNotice

          public void onTrackLimitationNotice(int numberOfLimitedStatuses)

      Specified by:
        `onTrackLimitationNotice` in interface `twitter4j.StatusListener`

    - #### onException

          public void onException(Exception e)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.